# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "lex"
version = "0.15.0"
authors = ["Nik Deapen <nik@deapen.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This library aids in parsing programming languages."
homepage = "https://github.com/nikdeapen/lex"
readme = "README.md"
license = "MIT"
repository = "https://github.com/nikdeapen/lex"

[lib]
name = "lex"
path = "src/lib.rs"

[[test]]
name = "parser"
path = "tests/parser.rs"
